## ros-iron-velodyne-msgs 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(velodyne_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/VelodynePacket.msg"
  "msg/VelodyneScan.msg"
  DEPENDENCIES std_msgs
  DEPENDENCIES builtin_interfaces
  ADD_LINTER_TESTS
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-iron-velodyne-msgs (2.3.0-3jammy) jammy; urgency=high

  * Updating maintainer email address. (#450 <https://github.com/ros-drivers/velodyne/issues/450>)
    * Updating maintainer email address.
    * chore: update maintainer email address
    Co-authored-by: Joshua Whitley <mailto:jwhitley@autonomoustuff.com>
  * 2.1.1
  * Updating for first Galactic release
  * Contributors: Daisuke Nishimatsu, Joshua Whitley

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 07 Jul 2022 16:00:00 -0000

ros-iron-velodyne-msgs (2.1.1-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Sun, 22 Aug 2021 16:00:00 -0000

ros-iron-velodyne-msgs (2.1.0-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 09 Jul 2020 16:00:00 -0000

ros-iron-velodyne-msgs (2.0.0-3jammy) jammy; urgency=high

  * Adding linters to velodyne_msgs. (#302 <https://github.com/ros-drivers/velodyne/issues/302>)
  * Update the documentation for ROS 2.
  * Merge pull request #251 <https://github.com/ros-drivers/velodyne/issues/251> from clalancette/dashing-devel3
    ROS 2 Dashing port
  * Contributors: Andreas Klintberg, Chris Lalancette, Joshua Whitley, Sebastian Pütz

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 09 Jul 2020 16:00:00 -0000

ros-iron-velodyne-msgs (1.5.2-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Sun, 27 Jan 2019 16:00:00 -0000

ros-iron-velodyne-msgs (1.5.1-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Sun, 09 Dec 2018 16:00:00 -0000

ros-iron-velodyne-msgs (1.5.0-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 18 Oct 2018 16:00:00 -0000

ros-iron-velodyne-msgs (1.4.0-3jammy) jammy; urgency=high

  * Updated all package.xmls to ver 2. Cleaned up catkin_lint errors.
    All package.xml files are now compatible with version 2 of the
    package.xml specification in REP 140. Removed some unnecessary
    execute permissions on a few files. Fixed a missing test_depend.
  * Updated cut_at_specified_angle_feature with latest master version.
  * Contributors: Andre Volk, Joshua Whitley

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Tue, 18 Sep 2018 16:00:00 -0000

ros-iron-velodyne-msgs (1.3.0-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 09 Nov 2017 16:00:00 -0000

ros-iron-velodyne-msgs (1.2.0-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Tue, 05 Aug 2014 16:00:00 -0000

ros-iron-velodyne-msgs (1.1.2-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Mon, 04 Nov 2013 16:00:00 -0000

ros-iron-velodyne-msgs (1.1.1-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Mon, 29 Jul 2013 16:00:00 -0000

ros-iron-velodyne-msgs (1.1.0-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Mon, 15 Jul 2013 16:00:00 -0000

ros-iron-velodyne-msgs (1.0.1-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Fri, 14 Jun 2013 16:00:00 -0000

ros-iron-velodyne-msgs (1.0.0-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 13 Jun 2013 16:00:00 -0000

ros-iron-velodyne-msgs (0.9.2-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Sun, 07 Jul 2013 16:00:00 -0000

ros-iron-velodyne-msgs (0.9.1-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Mon, 04 Jun 2012 16:00:00 -0000

ros-iron-velodyne-msgs (0.9.0-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Mon, 02 Apr 2012 16:00:00 -0000

ros-iron-velodyne-msgs (0.2.6-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Tue, 22 Feb 2011 16:00:00 -0000

ros-iron-velodyne-msgs (0.2.5-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 18 Nov 2010 16:00:00 -0000

ros-iron-velodyne-msgs (0.2.0-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Mon, 16 Aug 2010 16:00:00 -0000

=== debian/control ===
Source: ros-iron-velodyne-msgs
Section: misc
Priority: optional
Maintainer: Josh Whitley <whitleysoftwareservices@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-builtin-interfaces, ros-iron-rosidl-default-generators, ros-iron-std-msgs, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/velodyne_msgs
Standards-Version: 3.9.2

Package: ros-iron-velodyne-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-rosidl-default-runtime, ros-iron-std-msgs, ros-iron-ros-workspace
Description: ROS message definitions for Velodyne 3D LIDARs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-velodyne-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
